Package org.springframework.security.web.server

# Class DelegatingServerAuthenticationEntryPoint.DelegateEntry

java.lang.Object
org.springframework.security.web.server.DelegatingServerAuthenticationEntryPoint.DelegateEntry

Enclosing class:
  DelegatingServerAuthenticationEntryPoint

public static class DelegatingServerAuthenticationEntryPoint.DelegateEntry extends Object

## Constructor Summary

Constructors
Constructor
Description
`DelegateEntry(ServerWebExchangeMatcher matcher, ServerAuthenticationEntryPoint entryPoint)`

## Method Summary

Modifier and Type
Method
Description
`ServerAuthenticationEntryPoint`
`getEntryPoint()`
`ServerWebExchangeMatcher`
`getMatcher()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegateEntry

public DelegateEntry(ServerWebExchangeMatcher matcher, ServerAuthenticationEntryPoint entryPoint)

## Method Details

### getMatcher

public ServerWebExchangeMatcher getMatcher()

### getEntryPoint

public ServerAuthenticationEntryPoint getEntryPoint()